apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    kubernetes.io/ingress.class: nginx
  name: ownmytrip-front-router
spec:
  tls:
  - hosts:
    - ownmytrip.fr
    secretName: ownmytrip-certificate
  rules:
  - host: ownmytrip.fr
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: vuejs-service
            port:
              number: 80